package klasy;

public class Program {

    public static void main(String[] args) {
        Osoba a = new Osoba();
        System.out.println(a);
        System.out.println(a.imie + " " + a.nazwisko + " " + a.wiek);
        a.przedstawSie();

        a.imie = "Ala";
        a.nazwisko = "Kowalska";
        a.wiek = 30;
        System.out.println(a);
        System.out.println(a.imie + " " + a.nazwisko + " " + a.wiek);
        a.przedstawSie();
        System.out.println();

        Osoba b = new Osoba("Ola", "Malinowska", 40);
        System.out.println(b);
        b.przedstawSie();
        System.out.println();

        Student st = new Student();
        st.imie = "Adam";
        st.nazwisko = "Malinowski";
        st.wiek = 22;
        st.kierunek = "historia";
        st.rok = 3;
        System.out.println(st);
        st.przedstawSie();

        System.out.println();

        // konstruktory nie są automatycznie dziedziczone
        // Student st2 = new Student("Jan", "Kowalski", 20);
        Student st2 = new Student("Jan", "Kowalski", 20, "medycyna", 1);
        st2.przedstawSie();


    }
}
